<?php
namespace OpenStack;

#use OpenStack\Common\Service\Builder;		
use OpenStack\Common\Service\Builder_override;
/**
 * This class is the primary entry point for working with the SDK. It allows for the easy creation
 * of OpenStack services.
 *
 * @package OpenStack
 */
class OpenStack_override extends OpenStack
{
    /**
     * @param array $options User-defined options
     *
     * $options['username']   = (string) Your OpenStack username        [REQUIRED]
     *         ['password']   = (string) Your OpenStack password        [REQUIRED]
     *         ['tenantId']   = (string) Your tenant ID                 [REQUIRED if tenantName omitted]
     *         ['tenantName'] = (string) Your tenant name               [REQUIRED if tenantId omitted]
     *         ['authUrl']    = (string) The Keystone URL               [REQUIRED]
     *         ['debug']      = (bool)   Whether to enable HTTP logging [OPTIONAL]
     */
    public function __construct(array $options = [], Builder $builder = null)
    {
			$this->builder = $builder ?: new Builder_override($options);
			parent::__construct($options, $this->builder);
		}
		
		public function getBuilderOptions()
		{

			return $this->builder->getOptions();

		}

		public function setBuilderOptions($options)
		{

			$this->builder->setOptions($options);

		}
}
